Page MenuHomePhabricator

[libc++] Remove workaround for missing declarations on Windows store apps
ClosedPublic

Authored by ldionne on Aug 24 2021, 7:41 AM.

Details

Summary

We don't need preprocessor logic to exclude those declarations when compiling for
the Windows App Store, because that is handled by using_if_exists now.

Diff Detail

Event Timeline

ldionne requested review of this revision.Aug 24 2021, 7:41 AM
ldionne created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptAug 24 2021, 7:41 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne updated this revision to Diff 368406.Aug 24 2021, 11:05 AM

Fix spurious deletion of #endif

Gentle ping - this should be easy to review.

mstorsjo accepted this revision.Aug 27 2021, 10:10 AM
mstorsjo added a subscriber: mstorsjo.

LGTM, once we can require Clang 13 (as support this attribute was added only there, right?) - and we can require that IIRC once Clang 14 is released?

ldionne updated this revision to Diff 403392.Jan 26 2022, 1:22 PM

Rebase onto main.

smeenai accepted this revision.Jan 26 2022, 2:20 PM

LGTM as well, thanks for cleaning this up!

ldionne updated this revision to Diff 405328.Feb 2 2022, 10:00 AM

Rebase just to trigger CI. I will ship this if CI is happy.

ldionne accepted this revision as: Restricted Project.Feb 2 2022, 10:00 AM
This revision is now accepted and ready to land.Feb 2 2022, 10:00 AM
ldionne updated this revision to Diff 414364.Mar 10 2022, 6:07 AM

Rebase onto main -- this should be ready to land now that we have bumped our compiler support window.

Herald added a project: Restricted Project. · View Herald TranscriptMar 10 2022, 6:07 AM